Description

Associated revisions

Revision 5d22a4c3 - 09/04/2020 12:23 AM - Ewoud Kohl van Wijngaarden

Fixes #29798 - Move --lock-package-versions to hooks/

The primary goal of this PR is to move the hook from Katello to a shared

one. An accidental move in 6e1a07bc35bfe97927dfac6477a1faf53092c58f

resulted on this being executed on Debian which showed some flaws.

Additional improvements are made to make it robust.

This uses the package_lock_feature? helper to determine whether locking

is available. It then uses the newly introduced app_option? to determine

if the option is available. This means it doesn't have to execute

package_lock_feature? within the pre_commit hook again which saves an

exec() of an external process.

In case locking could not be performed, the preference is cleared to

allow the user to proceed. This saves them from having to edit the

scenario manually. Instructions are printed to restore functionality.

This also reduces the size of ForemanMaintainHookContextExtension to

just the minimal wrapper. Methods that are only used once are moved into

their particular hook file. This makes it easier to understand a single

file.

There helper itself is split into two methods. The one with bang exits

on failure while the one without only returns the status.

History

#1 - 05/29/2020 07:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to William Clark

- Pull request https://github.com/theforeman/foreman-installer/pull/511 added

#2 - 07/02/2020 09:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/536 added

#3 - 09/04/2020 12:23 AM - The Foreman Bot

- Fixed in Releases 2.3.0 added
#4 - 09/04/2020 01:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|5d22a4c38630c6ff090c32e0926cbd5b0f32f74c.

#5 - 11/30/2020 05:57 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Feature to Refactor

- Category set to foreman-installer script

- Target version set to 2.3.0

- Triaged changed from No to Yes
